package com.wflow.controller;

import com.wflow.service.CodeGeneratorService;
import com.wflow.utils.R;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.ArrayList;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class TestController {

   @Autowired
   private CodeGeneratorService codeGeneratorService;


   @GetMapping({"test1"})
   public Object test1() {
      String code = this.codeGeneratorService.getNextCode("111", "ssss", Integer.valueOf(4));
      return R.ok(code);
   }

   public static void main(String[] args) {
      LocalDate currentDate = LocalDate.now();
      ArrayList lastSixMonths = new ArrayList();
      ArrayList lastSixMonth = new ArrayList();

      for(int i = 5; i >= 0; --i) {
         lastSixMonths.add(currentDate.minusMonths((long)i).format(DateTimeFormatter.ofPattern("yyyy-MM")));
         lastSixMonth.add(currentDate.minusMonths((long)i).format(DateTimeFormatter.ofPattern("MM月")));
      }

      System.out.println(lastSixMonths);
      System.out.println(lastSixMonth);
   }
}
